
window.addEventListener("load", initAnimation);

var tl = null;

function initAnimation(evt) {
    
    tl = new TimelineLite( { onUpdate: sliderUpdater }  );
    
    var N1 = document.getElementById("dusik1");
    var N2 = document.getElementById("dusik2");
    var O1 = document.getElementById("kyslik1");
    var O2 = document.getElementById("kyslik2");
    
    // 1. krok - adsorpce molekul na povrhc kovu
    tl.add(pauseAnimation)
      .to( N1, 2, { attr: { cx: 120, cy: 280, r: 18 } }, "adsorpce" )
      .to( O1, 2, { attr: { cx: 140, cy: 280, r: 18 } }, "adsorpce" )
      .to( N2, 2, { attr: { cx: 180, cy: 240, r: 16 } }, "adsorpce" )
      .to( O2, 2, { attr: { cx: 200, cy: 240, r: 16 } }, "adsorpce" )
      .add(pauseAnimation)
      
    
    // 2. krok - rozpad molekul NO
    tl.to( N1, 1, { attr: { cx: 90, cy: 280, r: 18 } }, "rozpad" )
      .to( O1, 1, { attr: { cx: 160, cy: 280, r: 18 } }, "rozpad" )
      .to( N2, 1, { attr: { cx: 150, cy: 240, r: 16 } }, "rozpad" )
      .to( O2, 1, { attr: { cx: 220, cy: 240, r: 16 } }, "rozpad" )
      .add(pauseAnimation)
       
    
    // 3. krok - vznik molekul N2 a O2
    tl.to( N1, 1, { attr: { cx: 110, cy: 255, r: 17 } }, "vznik" )
      .to( O1, 1, { attr: { cx: 180, cy: 260, r: 17 } }, "vznik" )
      .to( N2, 1, { attr: { cx: 130, cy: 250, r: 17 } }, "vznik" )
      .to( O2, 1, { attr: { cx: 190, cy: 250, r: 17 } }, "vznik" )
      .add(pauseAnimation)
       .delay(0.5)
    
    // 4. krok - desorpce molekul N2 a O2 z povrchu
    tl.to( N1, 3, { attr: { cx: 420, cy: 100, r: 13 } }, "desorpce" )
      .to( N2, 3, { attr: { cx: 430, cy: 110, r: 13 } }, "desorpce" )
      .to( O1, 3, { attr: { cx: 440, cy: 150, r: 22 } }, "desorpce" )
      .to( O2, 3, { attr: { cx: 450, cy: 160, r: 22 } }, "desorpce" )
      .add(pauseAnimation)
      
    tl.pause();
    
    // pocatecni nastaveni progressbaru
    var progressBar = document.getElementById("progressBar");
    progressBar.value = 0;
    progressBar.addEventListener("change", sliderChanger);
    progressBar.addEventListener("mousedown", startScrub);
    progressBar.addEventListener("mouseup", endScrub);
    progressBar.addEventListener("mousemove", moveScrub);
    
}

function playAnimation() {
    if (tl.progress() == 1) {
        tl.play(0);
    }
    else {
        tl.play();
    }
    
}

function pauseAnimation() {
    var isPausing = document.getElementById("anim_pausing").checked;
    if (isPausing) {
        tl.pause();
    }
    
}

function playChunk(label) {
    tl.play(label);    
}

function sliderUpdater(evt) {
    var slider = document.getElementById("progressBar");
    slider.value = Math.round(tl.progress()*100);
}

function sliderChanger(evt) {
    var slider = evt.target;    
    var actTime = parseFloat(slider.value)/100;
    tl.progress(actTime);
}

var scrubbing = false;

function startScrub(evt) {
    scrubbing = true;    
}

function endScrub(evt) {
    scrubbing = false;    
}

function moveScrub(evt) {
    if (!scrubbing) return;
    sliderChanger(evt);
}


